<?php

/**
 * @package eggblog
 * @author eggblog.net, tenfourzero@users.sourceforge.net
 * @version $Id: global.php,v 4.0.0RC1 2007/12/03 10:26:12 tenfourzero Exp $
 * @copyright Copyright (c) 2005, http://www.eggblog.net
 * @license http://www.gnu.org/licenses/gpl.html GNU Lesser General Public License
 */

/**
 * require lib files
 */
require_once "_lib/global.php";

if(!empty($_GET['id'])) settype($_GET['id'],"integer");
eb_pre();
eb_head(eb_article_title($_GET['id']));
if(!empty($_POST['comment'])) {
	$_POST['comment']=htmlentities($_POST['comment'],ENT_QUOTES);
	eb_comments_post($_GET['id'],$_POST['comment']);
}
echo eb_article(1,array($_GET['id']));
eb_foot();
?>